# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name: sugar-abacus
Version: 19
Release: 2%{?dist}
Summary: A simple abacus activity for Sugar

Group: Sugar/Activities
License: LGPLv3+
BuildArch: noarch
URL: http://activities.sugarlabs.org/addon/4293
Source0: http://download.sugarlabs.org/sources/honey/Abacus/Abacus-%{version}.tar.bz2

BuildRequires: python2-devel
BuildRequires: sugar-toolkit
Requires: sugar 

%description
Abacus lets the learner explore different representations of numbers using 
different mechanical counting systems developed by the ancient Romans and 
Chinese. There are several different variants available for exploration: a 
suanpan, the traditional Chinese abacus with 2 beads on top and 5 beads below; 
a soroban, the traditional Japanese abacus with 1 bead on top and 4 beads below;
 the schety, the traditional Russian abacus, with 10 beads per column, with the 
exception of one column with just 4 beads used for counting in fourths; and the 
nepohualtzintzin, the traditional Mayan abacus, with 3 beads on top and 4 beads 
below (it uses base 20).

%prep
%setup -q -n Abacus-%{version}

%build
python ./setup.py build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{sugaractivitydir}
python ./setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}

# Remove files that shouldn't be shipped. Bad Walter!
find %{buildroot} -name '*.orig' -exec rm -f {} ';'
find %{buildroot} -name '*.rej' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{sugaractivitydir}/Abacus.activity/

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Peter Robinson <pbrobinson@gmail.com> - 19-1
- Update to 19

* Mon Sep 27 2010 Peter Robinson <pbrobinson@gmail.com> - 17-1
- Update to 17

* Sat Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> - 14-1
- Update to 14

* Sat Jun 19 2010 Peter Robinson <pbrobinson@gmail.com> - 13-2
- Some spec file cleanups

* Thu Jun 10 2010 Peter Robinson <pbrobinson@gmail.com> - 13-1
- Update to version 13

* Thu Jun 10 2010 Peter Robinson <pbrobinson@gmail.com> - 12-1
- Initial package of abacus
